Page MenuHomePhabricator

Add shell completion support to PhutilArgumentWorkflow
Closed, WontfixPublic

Description

Add a PhutilShellCompletionArgumentWorkflow (similar to PhutilHelpArgumentWorkflow) which can be used to add shell completion to an PhutilArgumentWorkflow.

Event Timeline

joshuaspence updated the task description. (Show Details)
joshuaspence raised the priority of this task from to Needs Triage.
joshuaspence added a project: Arcanist.
joshuaspence edited projects, added libphutil; removed Arcanist.
joshuaspence added a subscriber: joshuaspence.
joshuaspence triaged this task as Low priority.May 12 2015, 11:41 PM
eadler added a project: Restricted Project.Jun 17 2016, 6:58 AM
eadler moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.Jun 17 2016, 7:09 AM
eadler moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.Jul 4 2016, 9:19 PM
epriestley closed this task as Wontfix.Mar 5 2018, 2:10 PM
epriestley added a subscriber: epriestley.

See T13098. I currently plan to expose the shell-complete workflow to every arc toolset, but I don't think being able to shell-complete bin/storage upgrade or similar is worth pursuing.